Eclipse Platform Release 3.7

## org.eclipse.jface.text
Interface ITextDoubleClickStrategy

All Known Implementing Classes:
  DefaultTextDoubleClickStrategy

    public interface ITextDoubleClickStrategy

A text double click strategy defines the reaction of a text viewer to mouse double click events. The strategy must be installed on an `ITextViewer`.

Clients may implement this interface or use the standard implementation `DefaultTextDoubleClickStrategy`.

See Also:
  `ITextViewer`, `MouseListener.mouseDoubleClick(org.eclipse.swt.events.MouseEvent)`

Method Summary
`void` `doubleClicked(ITextViewer viewer)` The mouse has been double clicked on the given text viewer.

Method Detail

### doubleClicked

    void doubleClicked(ITextViewer viewer)

  The mouse has been double clicked on the given text viewer.

  Parameters:
    `viewer` - the viewer into which has been double clicked

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.